import { lazy } from 'react';

import s from './App.module.css';

const CountriesList = lazy(
  () => import('./components/Just/Just' /* webpackChunkName: "Just" */),
);

const Loader = lazy(
  () => import('./components/Loader/Loader' /* webpackChunkName: "Loader" */),
);

function App() {
  return (
    <div className={s.appWrapper}>
      <CountriesList />
      <Loader />
    </div>
  );
}

export default App;
